commit:     3bbd1c9440871988c170111d84e793d573bd33f8
Author:     Erik Mackdanz <stasibear <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 25 04:37:26 2023 +0000
Commit:     Erik Mackdanz <stasibear <AT> gentoo <DOT> org>
CommitDate: Tue Apr 25 04:39:20 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3bbd1c94

media-sound/upmpdcli: add 1.7.9

Signed-off-by: Erik Mackdanz <stasibear <AT> gentoo.org>

 media-sound/upmpdcli/Manifest              |  1 +
 media-sound/upmpdcli/upmpdcli-1.7.9.ebuild | 68 ++++++++++++++++++++++++++++++
 2 files changed, 69 insertions(+)

diff --git a/media-sound/upmpdcli/Manifest b/media-sound/upmpdcli/Manifest
index 177607f5f8aa..d0ead17664cf 100644
--- a/media-sound/upmpdcli/Manifest
+++ b/media-sound/upmpdcli/Manifest
@@ -1,2 +1,3 @@
 DIST upmpdcli-1.7.2.tar.gz 604605 BLAKE2B 
c5b5493d4ef9f13d6311b36927c3a97b77fee01a683d6af30ee317c67cbb3370e4743f8e59936d5e1f0e3961eff14dbb52b15fb5b54cf9d95ce98ad32487df6b
 SHA512 
ab95f04d56925665d644e60532907f943a14dbf4cf760b1149ea071029077809e2d24e58ed41deee26b780d7cc53bad9815f3923c65e682f133d775c0608f0c5
 DIST upmpdcli-1.7.7.tar.gz 606480 BLAKE2B 
2be284a864bb93511553a248ec76df7203103d5be31025472dddd08f8b13451292e3254895d112071177bfeef49f9dfe71b6c98a82c7bda1b18f7ecac7526235
 SHA512 
764606805f413643e1432d27f407ab3020d55e6c374210d56708ddd94285e364fdb266739d6f5d406e8f8708669820e4841449aebd2ea966974144ae90bfa38c
+DIST upmpdcli-1.7.9.tar.gz 612647 BLAKE2B 
8234dc1872482eb8d53419b8fe02b5d87e9833eb436089b198a7d18402573d48facfcb42d65847b013d462905cdd556203fbaf91f3947a3b87ceee0b0ebd4edf
 SHA512 
0432d32e96d7f9ae0700030fd5c9d35730e1004a995eaebba2a25e0564627c4fe62d23d7f933c2c0e54d8a70b6378cfde0ed903b7be695d468db8eeb9a33e907

diff --git a/media-sound/upmpdcli/upmpdcli-1.7.9.ebuild 
b/media-sound/upmpdcli/upmpdcli-1.7.9.ebuild
new file mode 100644
index 000000000000..d25f68706433
--- /dev/null
+++ b/media-sound/upmpdcli/upmpdcli-1.7.9.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools systemd
+
+DESCRIPTION="UPnP Media Renderer front-end for MPD, the Music Player Daemon"
+HOMEPAGE="https://www.lesbonscomptes.com/upmpdcli/index.html";
+LICENSE="GPL-2"
+
+SRC_URI="https://www.lesbonscomptes.com/upmpdcli/downloads/${P}.tar.gz";
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="thirdparty"
+
+DEPEND="
+       dev-libs/jsoncpp
+       media-libs/libmpdclient
+       net-libs/libmicrohttpd
+       net-libs/libupnpp
+"
+RDEPEND="
+       ${DEPEND}
+       acct-group/upmpdcli
+       acct-user/upmpdcli
+       app-misc/recoll
+       thirdparty? ( dev-python/requests )
+"
+
+PATCHES=(
+       "${FILESDIR}"/makefile.patch
+)
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+
+       ./configure \
+               --prefix=/usr \
+               --sysconfdir=/etc \
+               --localstatedir=/var/lib \
+               --disable-dependency-tracking \
+               --disable-silent-rules \
+               "--docdir=/usr/share/doc/${P}" \
+               "--htmldir=/usr/share/doc/${P}/html" \
+               --libdir=/usr/lib64 \
+               || die "Configure failed"
+
+}
+
+src_install() {
+       default
+       newinitd "${FILESDIR}/${PN}.initd" "${PN}"
+       newconfd "${FILESDIR}/${PN}.confd" "${PN}"
+       systemd_dounit systemd/upmpdcli.service
+}
+
+pkg_postinst() {
+       einfo
+       einfo "This package no longer assumes that upmpdcli is driving an"
+       einfo "mpd instance on the same host (https://bugs.gentoo.org/670130)."
+       einfo "Probably it is though, so be sure your mpd is built with"
+       einfo "USE=curl."
+}

Reply via email to